--Used to display items that represent slots (i.e. tier tokens)
local CUSTOM_ITEM_DATA = {
	-- Tier 4
	[29753] = { 4, 120, "INVTYPE_CHEST" },
	[29754] = { 4, 120, "INVTYPE_CHEST" },
	[29755] = { 4, 120, "INVTYPE_CHEST" },
	[29756] = { 4, 120, "INVTYPE_HAND" },
	[29757] = { 4, 120, "INVTYPE_HAND" },
	[29758] = { 4, 120, "INVTYPE_HAND" },
	[29759] = { 4, 120, "INVTYPE_HEAD" },
	[29760] = { 4, 120, "INVTYPE_HEAD" },
	[29761] = { 4, 120, "INVTYPE_HEAD" },
	[29762] = { 4, 120, "INVTYPE_SHOULDER" },
	[29763] = { 4, 120, "INVTYPE_SHOULDER" },
	[29764] = { 4, 120, "INVTYPE_SHOULDER" },
	[29765] = { 4, 120, "INVTYPE_LEGS" },
	[29766] = { 4, 120, "INVTYPE_LEGS" },
	[29767] = { 4, 120, "INVTYPE_LEGS" },

	-- Tier 5
	[30236] = { 4, 133, "INVTYPE_CHEST" },
	[30237] = { 4, 133, "INVTYPE_CHEST" },
	[30238] = { 4, 133, "INVTYPE_CHEST" },
	[30239] = { 4, 133, "INVTYPE_HAND" },
	[30240] = { 4, 133, "INVTYPE_HAND" },
	[30241] = { 4, 133, "INVTYPE_HAND" },
	[30242] = { 4, 133, "INVTYPE_HEAD" },
	[30243] = { 4, 133, "INVTYPE_HEAD" },
	[30244] = { 4, 133, "INVTYPE_HEAD" },
	[30245] = { 4, 133, "INVTYPE_LEGS" },
	[30246] = { 4, 133, "INVTYPE_LEGS" },
	[30247] = { 4, 133, "INVTYPE_LEGS" },
	[30248] = { 4, 133, "INVTYPE_SHOULDER" },
	[30249] = { 4, 133, "INVTYPE_SHOULDER" },
	[30250] = { 4, 133, "INVTYPE_SHOULDER" },

	-- Tier 5 - BoE recipes - BoP crafts
	[30282] = { 4, 128, "INVTYPE_BOOTS" },
	[30283] = { 4, 128, "INVTYPE_BOOTS" },
	[30305] = { 4, 128, "INVTYPE_BOOTS" },
	[30306] = { 4, 128, "INVTYPE_BOOTS" },
	[30307] = { 4, 128, "INVTYPE_BOOTS" },
	[30308] = { 4, 128, "INVTYPE_BOOTS" },
	[30323] = { 4, 128, "INVTYPE_BOOTS" },
	[30324] = { 4, 128, "INVTYPE_BOOTS" },

	-- Tier 6
	[31089] = { 4, 146, "INVTYPE_CHEST" },
	[31090] = { 4, 146, "INVTYPE_CHEST" },
	[31091] = { 4, 146, "INVTYPE_CHEST" },
	[31092] = { 4, 146, "INVTYPE_HAND" },
	[31093] = { 4, 146, "INVTYPE_HAND" },
	[31094] = { 4, 146, "INVTYPE_HAND" },
	[31095] = { 4, 146, "INVTYPE_HEAD" },
	[31096] = { 4, 146, "INVTYPE_HEAD" },
	[31097] = { 4, 146, "INVTYPE_HEAD" },
	[31098] = { 4, 146, "INVTYPE_LEGS" },
	[31099] = { 4, 146, "INVTYPE_LEGS" },
	[31100] = { 4, 146, "INVTYPE_LEGS" },
	[31101] = { 4, 146, "INVTYPE_SHOULDER" },
	[31102] = { 4, 146, "INVTYPE_SHOULDER" },
	[31103] = { 4, 146, "INVTYPE_SHOULDER" },
	[34848] = { 4, 154, "INVTYPE_WRIST" },
	[34851] = { 4, 154, "INVTYPE_WRIST" },
	[34852] = { 4, 154, "INVTYPE_WRIST" },
	[34853] = { 4, 154, "INVTYPE_WAIST" },
	[34854] = { 4, 154, "INVTYPE_WAIST" },
	[34855] = { 4, 154, "INVTYPE_WAIST" },
	[34856] = { 4, 154, "INVTYPE_FEET" },
	[34857] = { 4, 154, "INVTYPE_FEET" },
	[34858] = { 4, 154, "INVTYPE_FEET" },

	-- Tier 6 - BoE recipes - BoP crafts
	[32737] = { 4, 141, "INVTYPE_SHOULDER" },
	[32739] = { 4, 141, "INVTYPE_SHOULDER" },
	[32745] = { 4, 141, "INVTYPE_SHOULDER" },
	[32747] = { 4, 141, "INVTYPE_SHOULDER" },
	[32749] = { 4, 141, "INVTYPE_SHOULDER" },
	[32751] = { 4, 141, "INVTYPE_SHOULDER" },
	[32753] = { 4, 141, "INVTYPE_SHOULDER" },
	[32755] = { 4, 141, "INVTYPE_SHOULDER" },

	-- Magtheridon's Head
	[32385] = { 4, 125, "INVTYPE_FINGER" },
	[32386] = { 4, 125, "INVTYPE_FINGER" },

	-- Kael'thas' Sphere
	[32405] = { 4, 138, "INVTYPE_NECK" },

	-- T7
	[40610] = { 4, 200, "INVTYPE_CHEST" },
	[40611] = { 4, 200, "INVTYPE_CHEST" },
	[40612] = { 4, 200, "INVTYPE_CHEST" },
	[40613] = { 4, 200, "INVTYPE_HAND" },
	[40614] = { 4, 200, "INVTYPE_HAND" },
	[40615] = { 4, 200, "INVTYPE_HAND" },
	[40616] = { 4, 200, "INVTYPE_HEAD" },
	[40617] = { 4, 200, "INVTYPE_HEAD" },
	[40618] = { 4, 200, "INVTYPE_HEAD" },
	[40619] = { 4, 200, "INVTYPE_LEGS" },
	[40620] = { 4, 200, "INVTYPE_LEGS" },
	[40621] = { 4, 200, "INVTYPE_LEGS" },
	[40622] = { 4, 200, "INVTYPE_SHOULDER" },
	[40623] = { 4, 200, "INVTYPE_SHOULDER" },
	[40624] = { 4, 200, "INVTYPE_SHOULDER" },

	-- T7 (heroic)
	[40625] = { 4, 213, "INVTYPE_CHEST" },
	[40626] = { 4, 213, "INVTYPE_CHEST" },
	[40627] = { 4, 213, "INVTYPE_CHEST" },
	[40628] = { 4, 213, "INVTYPE_HAND" },
	[40629] = { 4, 213, "INVTYPE_HAND" },
	[40630] = { 4, 213, "INVTYPE_HAND" },
	[40631] = { 4, 213, "INVTYPE_HEAD" },
	[40632] = { 4, 213, "INVTYPE_HEAD" },
	[40633] = { 4, 213, "INVTYPE_HEAD" },
	[40634] = { 4, 213, "INVTYPE_LEGS" },
	[40635] = { 4, 213, "INVTYPE_LEGS" },
	[40636] = { 4, 213, "INVTYPE_LEGS" },
	[40637] = { 4, 213, "INVTYPE_SHOULDER" },
	[40638] = { 4, 213, "INVTYPE_SHOULDER" },
	[40639] = { 4, 213, "INVTYPE_SHOULDER" },

	-- Key to the Focusing Iris
	[44569] = { 4, 213, "INVTYPE_NECK" },
	[44577] = { 4, 226, "INVTYPE_NECK" },

	-- T8
	[45635] = { 4, 219, "INVTYPE_CHEST" },
	[45636] = { 4, 219, "INVTYPE_CHEST" },
	[45637] = { 4, 219, "INVTYPE_CHEST" },
	[45647] = { 4, 219, "INVTYPE_HEAD" },
	[45648] = { 4, 219, "INVTYPE_HEAD" },
	[45649] = { 4, 219, "INVTYPE_HEAD" },
	[45644] = { 4, 219, "INVTYPE_HAND" },
	[45645] = { 4, 219, "INVTYPE_HAND" },
	[45646] = { 4, 219, "INVTYPE_HAND" },
	[45650] = { 4, 219, "INVTYPE_LEGS" },
	[45651] = { 4, 219, "INVTYPE_LEGS" },
	[45652] = { 4, 219, "INVTYPE_LEGS" },
	[45659] = { 4, 219, "INVTYPE_SHOULDER" },
	[45660] = { 4, 219, "INVTYPE_SHOULDER" },
	[45661] = { 4, 219, "INVTYPE_SHOULDER" },

	-- T8 (heroic)
	[45632] = { 4, 226, "INVTYPE_CHEST" },
	[45633] = { 4, 226, "INVTYPE_CHEST" },
	[45634] = { 4, 226, "INVTYPE_CHEST" },
	[45638] = { 4, 226, "INVTYPE_HEAD" },
	[45639] = { 4, 226, "INVTYPE_HEAD" },
	[45640] = { 4, 226, "INVTYPE_HEAD" },
	[45641] = { 4, 226, "INVTYPE_HAND" },
	[45642] = { 4, 226, "INVTYPE_HAND" },
	[45643] = { 4, 226, "INVTYPE_HAND" },
	[45653] = { 4, 226, "INVTYPE_LEGS" },
	[45654] = { 4, 226, "INVTYPE_LEGS" },
	[45655] = { 4, 226, "INVTYPE_LEGS" },
	[45656] = { 4, 226, "INVTYPE_SHOULDER" },
	[45657] = { 4, 226, "INVTYPE_SHOULDER" },
	[45658] = { 4, 226, "INVTYPE_SHOULDER" },

	-- Archivum Data Disc
	[45857] = { 4, 239, "INVTYPE_RING" },
	[45506] = { 4, 226, "INVTYPE_RING" },

	-- T9 & T10 was done with a single token type for every slot	
	
	-- T11 (normal)
	[63682] = { 4, 359, "INVTYPE_HEAD" },
	[63683] = { 4, 359, "INVTYPE_HEAD" },
	[63684] = { 4, 359, "INVTYPE_HEAD" },
	[64314] = { 4, 359, "INVTYPE_SHOULDER" },
	[64315] = { 4, 359, "INVTYPE_SHOULDER" },
	[64316] = { 4, 359, "INVTYPE_SHOULDER" },	
	
	-- T11 (heroic)
	[67423] = { 4, 372, "INVTYPE_CHEST" },
	[67424] = { 4, 372, "INVTYPE_CHEST" },
	[67425] = { 4, 372, "INVTYPE_CHEST" },
	[67426] = { 4, 372, "INVTYPE_LEGS" },
	[67427] = { 4, 372, "INVTYPE_LEGS" },
	[67428] = { 4, 372, "INVTYPE_LEGS" },
	[65000] = { 4, 372, "INVTYPE_HEAD" },
	[65001] = { 4, 372, "INVTYPE_HEAD" },
	[65002] = { 4, 372, "INVTYPE_HEAD" },
	[65087] = { 4, 372, "INVTYPE_SHOULDER" },
	[65088] = { 4, 372, "INVTYPE_SHOULDER" },
	[65089] = { 4, 372, "INVTYPE_SHOULDER" },
	[67429] = { 4, 372, "INVTYPE_HAND" },
	[67430] = { 4, 372, "INVTYPE_HAND" },
	[67431] = { 4, 372, "INVTYPE_HAND" },
	


	-- T12 (normal)
	[71668] = { 4, 378, "INVTYPE_HEAD" },
	[71675] = { 4, 378, "INVTYPE_HEAD" },
	[71682] = { 4, 378, "INVTYPE_HEAD" },
	[71674] = { 4, 378, "INVTYPE_SHOULDER" },
	[71681] = { 4, 378, "INVTYPE_SHOULDER" },
	[71668] = { 4, 378, "INVTYPE_SHOULDER" },

	-- T12 (heroic)
	[71672] = { 4, 391, "INVTYPE_CHEST" },
	[71679] = { 4, 391, "INVTYPE_CHEST" },
	[71686] = { 4, 391, "INVTYPE_CHEST" },
	[71678] = { 4, 391, "INVTYPE_LEGS" },
	[71671] = { 4, 391, "INVTYPE_LEGS" },
	[71685] = { 4, 391, "INVTYPE_LEGS" },
	[71677] = { 4, 391, "INVTYPE_HEAD" },
	[71670] = { 4, 391, "INVTYPE_HEAD" },
	[71684] = { 4, 391, "INVTYPE_HEAD" },
	[71673] = { 4, 391, "INVTYPE_SHOULDER" },
	[71680] = { 4, 391, "INVTYPE_SHOULDER" },
	[71687] = { 4, 391, "INVTYPE_SHOULDER" },
	[71669] = { 4, 391, "INVTYPE_HAND" },
	[71676] = { 4, 391, "INVTYPE_HAND" },
	[71683] = { 4, 391, "INVTYPE_HAND" },
	
	-- T13 (normal)
	[78174] = { 4, 397, "INVTYPE_CHEST" },
	[78179] = { 4, 397, "INVTYPE_CHEST" },
	[78184] = { 4, 397, "INVTYPE_CHEST" },
	[78176] = { 4, 397, "INVTYPE_LEGS" },
	[78171] = { 4, 397, "INVTYPE_LEGS" },
	[78181] = { 4, 397, "INVTYPE_LEGS" },
	[78172] = { 4, 397, "INVTYPE_HEAD" },
	[78177] = { 4, 397, "INVTYPE_HEAD" },
	[78182] = { 4, 397, "INVTYPE_HEAD" },
	[78170] = { 4, 397, "INVTYPE_SHOULDER" },
	[78175] = { 4, 397, "INVTYPE_SHOULDER" },
	[78180] = { 4, 397, "INVTYPE_SHOULDER" },
	[78178] = { 4, 397, "INVTYPE_HAND" },
	[78173] = { 4, 397, "INVTYPE_HAND" },
	[78183] = { 4, 397, "INVTYPE_HAND" },
	
	-- T13 (heroic)
	[78847] = { 4, 410, "INVTYPE_CHEST" },
	[78849] = { 4, 410, "INVTYPE_CHEST" },
	[78848] = { 4, 410, "INVTYPE_CHEST" },
	[78856] = { 4, 410, "INVTYPE_LEGS" },
	[78857] = { 4, 410, "INVTYPE_LEGS" },
	[78858] = { 4, 410, "INVTYPE_LEGS" },
	[78850] = { 4, 410, "INVTYPE_HEAD" },
	[78851] = { 4, 410, "INVTYPE_HEAD" },
	[78852] = { 4, 410, "INVTYPE_HEAD" },
	[78859] = { 4, 410, "INVTYPE_SHOULDER" },
	[78860] = { 4, 410, "INVTYPE_SHOULDER" },
	[78861] = { 4, 410, "INVTYPE_SHOULDER" },
	[78853] = { 4, 410, "INVTYPE_HAND" },
	[78854] = { 4, 410, "INVTYPE_HAND" },
	[78855] = { 4, 410, "INVTYPE_HAND" },
	
	-- T14 (normal)
	[89238] = { 4, 496, "INVTYPE_CHEST" },
	[89237] = { 4, 496, "INVTYPE_CHEST" },
	[89239] = { 4, 496, "INVTYPE_CHEST" },
	[89243] = { 4, 496, "INVTYPE_LEGS" },
	[89244] = { 4, 496, "INVTYPE_LEGS" },
	[89245] = { 4, 496, "INVTYPE_LEGS" },
	[89234] = { 4, 496, "INVTYPE_HEAD" },
	[89235] = { 4, 496, "INVTYPE_HEAD" },
	[89236] = { 4, 496, "INVTYPE_HEAD" },
	[89246] = { 4, 496, "INVTYPE_SHOULDER" },
	[89247] = { 4, 496, "INVTYPE_SHOULDER" },
	[89247] = { 4, 496, "INVTYPE_SHOULDER" },
	[89240] = { 4, 496, "INVTYPE_HAND" },
	[89241] = { 4, 496, "INVTYPE_HAND" },
	[89242] = { 4, 496, "INVTYPE_HAND" },
	
	-- T14 (heroic)
	[89250] = { 4, 509, "INVTYPE_CHEST" },
	[89249] = { 4, 509, "INVTYPE_CHEST" },
	[89251] = { 4, 509, "INVTYPE_CHEST" },
	[89252] = { 4, 509, "INVTYPE_LEGS" },
	[89253] = { 4, 509, "INVTYPE_LEGS" },
	[89254] = { 4, 509, "INVTYPE_LEGS" },
	[89258] = { 4, 509, "INVTYPE_HEAD" },
	[89260] = { 4, 509, "INVTYPE_HEAD" },
	[89259] = { 4, 509, "INVTYPE_HEAD" },
	[89261] = { 4, 509, "INVTYPE_SHOULDER" },
	[89262] = { 4, 509, "INVTYPE_SHOULDER" },
	[89263] = { 4, 509, "INVTYPE_SHOULDER" },
	[89255] = { 4, 509, "INVTYPE_HAND" },
	[89256] = { 4, 509, "INVTYPE_HAND" },
	[89257] = { 4, 509, "INVTYPE_HAND" },
	
	-- T15 (normal)
	[95569] = { 4, 522, "INVTYPE_CHEST" },
	[95574] = { 4, 522, "INVTYPE_CHEST" },
	[95579] = { 4, 522, "INVTYPE_CHEST" },
	[95576] = { 4, 522, "INVTYPE_LEGS" },
	[95572] = { 4, 522, "INVTYPE_LEGS" },
	[95581] = { 4, 522, "INVTYPE_LEGS" },
	[95571] = { 4, 522, "INVTYPE_HEAD" },
	[95577] = { 4, 522, "INVTYPE_HEAD" },
	[95582] = { 4, 522, "INVTYPE_HEAD" },
	[95573] = { 4, 522, "INVTYPE_SHOULDER" },
	[95578] = { 4, 522, "INVTYPE_SHOULDER" },
	[95583] = { 4, 522, "INVTYPE_SHOULDER" },
	[95575] = { 4, 522, "INVTYPE_HAND" },
	[95570] = { 4, 522, "INVTYPE_HAND" },
	[95580] = { 4, 522, "INVTYPE_HAND" },

	-- T15 (heroic)
	[96566] = { 4, 535, "INVTYPE_CHEST" },
	[96567] = { 4, 535, "INVTYPE_CHEST" },
	[96568] = { 4, 535, "INVTYPE_CHEST" },
	[96631] = { 4, 535, "INVTYPE_LEGS" },
	[96632] = { 4, 535, "INVTYPE_LEGS" },
	[96633] = { 4, 535, "INVTYPE_LEGS" },
	[96623] = { 4, 535, "INVTYPE_HEAD" },
	[96624] = { 4, 535, "INVTYPE_HEAD" },
	[96625] = { 4, 535, "INVTYPE_HEAD" },
	[96699] = { 4, 535, "INVTYPE_SHOULDER" },
	[96700] = { 4, 535, "INVTYPE_SHOULDER" },
	[96701] = { 4, 535, "INVTYPE_SHOULDER" },
	[96599] = { 4, 535, "INVTYPE_HAND" },
	[96600] = { 4, 535, "INVTYPE_HAND" },
	[96601] = { 4, 535, "INVTYPE_HAND" },
	
	-- T16 (flex)
	[99742] = { 4, 540, "INVTYPE_CHEST" },
	[99743] = { 4, 540, "INVTYPE_CHEST" },
	[99744] = { 4, 540, "INVTYPE_CHEST" },
	[99751] = { 4, 540, "INVTYPE_LEGS" },
	[99752] = { 4, 540, "INVTYPE_LEGS" },
	[99753] = { 4, 540, "INVTYPE_LEGS" },
	[99748] = { 4, 540, "INVTYPE_HEAD" },
	[99749] = { 4, 540, "INVTYPE_HEAD" },
	[99750] = { 4, 540, "INVTYPE_HEAD" },
	[99754] = { 4, 540, "INVTYPE_SHOULDER" },
	[99755] = { 4, 540, "INVTYPE_SHOULDER" },
	[99756] = { 4, 540, "INVTYPE_SHOULDER" },
	[99745] = { 4, 540, "INVTYPE_HAND" },
	[99746] = { 4, 540, "INVTYPE_HAND" },
	[99747] = { 4, 540, "INVTYPE_HAND" },


	-- T16 (normal)
	[99696] = { 4, 553, "INVTYPE_CHEST" },
	[99691] = { 4, 553, "INVTYPE_CHEST" },
	[99686] = { 4, 553, "INVTYPE_CHEST" },
	[99693] = { 4, 553, "INVTYPE_LEGS" },
	[99684] = { 4, 553, "INVTYPE_LEGS" },
	[99688] = { 4, 553, "INVTYPE_LEGS" },
	[99683] = { 4, 553, "INVTYPE_HEAD" },
	[99689] = { 4, 553, "INVTYPE_HEAD" },
	[99694] = { 4, 553, "INVTYPE_HEAD" },
	[99690] = { 4, 553, "INVTYPE_SHOULDER" },
	[99685] = { 4, 553, "INVTYPE_SHOULDER" },
	[99695] = { 4, 553, "INVTYPE_SHOULDER" },
	[99682] = { 4, 553, "INVTYPE_HAND" },
	[99687] = { 4, 553, "INVTYPE_HAND" },
	[99692] = { 4, 553, "INVTYPE_HAND" },

	-- T16 (heroic)
	[99714] = { 4, 566, "INVTYPE_CHEST" },
	[99715] = { 4, 566, "INVTYPE_CHEST" },
	[99716] = { 4, 566, "INVTYPE_CHEST" },
	[99712] = { 4, 566, "INVTYPE_LEGS" },
	[99726] = { 4, 566, "INVTYPE_LEGS" },
	[99713] = { 4, 566, "INVTYPE_LEGS" },
	[99723] = { 4, 566, "INVTYPE_HEAD" },
	[99724] = { 4, 566, "INVTYPE_HEAD" },
	[99725] = { 4, 566, "INVTYPE_HEAD" },
	[99717] = { 4, 566, "INVTYPE_SHOULDER" },
	[99718] = { 4, 566, "INVTYPE_SHOULDER" },
	[99719] = { 4, 566, "INVTYPE_SHOULDER" },
	[99720] = { 4, 566, "INVTYPE_HAND" },
	[99721] = { 4, 566, "INVTYPE_HAND" },
	[99722] = { 4, 566, "INVTYPE_HAND" },
	
	-- T17
	[119315] = { 4, 665, "INVTYPE_CHEST" },
	[119318] = { 4, 665, "INVTYPE_CHEST" },
	[119305] = { 4, 665, "INVTYPE_CHEST" },
	[119313] = { 4, 665, "INVTYPE_LEGS" },
	[119307] = { 4, 665, "INVTYPE_LEGS" },
	[119320] = { 4, 665, "INVTYPE_LEGS" },
	[119312] = { 4, 665, "INVTYPE_HEAD" },
	[119308] = { 4, 665, "INVTYPE_HEAD" },
	[119321] = { 4, 665, "INVTYPE_HEAD" },
	[119314] = { 4, 665, "INVTYPE_SHOULDER" },
	[119309] = { 4, 665, "INVTYPE_SHOULDER" },
	[119322] = { 4, 665, "INVTYPE_SHOULDER" },
	[119311] = { 4, 665, "INVTYPE_HAND" },
	[119306] = { 4, 665, "INVTYPE_HAND" },
	[119319] = { 4, 665, "INVTYPE_HAND" },
	
	
}

GetCustomSlotInfo = function(itemLink)
	if not itemLink then return end

	-- Get the item ID to check against known token IDs
	local _,_,itemID,bonusString = strfind(itemLink, '|Hitem:(%d+):%d+:%d+:%d+:%d+:%d+:%-?%d+:%-?%d+:%d+:%d+:%d+:(.+)|h%[')
	itemID = tonumber(itemID)
	-- Check to see if there is custom data for this item ID
	local rarity, level, equipLoc
	if CUSTOM_ITEM_DATA[itemID] then
		rarity, level, equipLoc = unpack(CUSTOM_ITEM_DATA[itemID])
		if bonusString ~= '0' then
			local numBonus,bonusses = strsplit(':', bonusString, 2)
			local bonusList = { strsplit(':', bonusses) }
			if numBonus == '1' then
				if bonusses == '570' then
					level = level + 15
				elseif bonusses == '569' then
					level = level + 30
				end
			else
				for _, bon in pairs(bonusList) do
					if bonusses == '570' then
						level = level + 15
					elseif bonusses == '569' then
						level = level + 30
					end
				end
			end
		end
	else
		_, _, rarity, level, _, _, _, _, equipLoc = GetItemInfo(itemLink)
	end
	return equipLoc, rarity, level
end